Subject: Re: [PATCH v2 net 3/4] net: dsa: mv88e6xxx: Never force link on in-band managed MACs

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 5 Jan 2025 10:41:32 +0000

On Sun, Jan 05, 2025 at 12:16:07AM +0100, Tobias Waldekranz wrote:
> On lör, jan 04, 2025 at 22:09, "Russell King (Oracle)" <[email-masked]> wrote:
> > Host system:
> >
> >   ---------------------------+
> >     NIC (or DSA switch port) |
> >      +-------+    +-------+  |
> >      |       |    |       |  |
> >      |  MAC  <---->  PCS  <-----------------------> PHY, SFP or media
> >      |       |    |       |  |     ^
> >      +-------+    +-------+  |     |
> >                              |   phy interface type
> >   ---------------------------+   also in-band signalling
> >                                  which managed = "in-band-status"
> > 				 applies to
> 
> This part is 100% clear

Apparently it isn't, because...

> In other words, my question is:
> 
> For a NIC driver to properly support the `managed` property, how should
> the setup and/or runtime behavior of the hardware and/or the driver
> differ with the two following configs?
> 
>     &eth0 {
>         phy-connection-type = "sgmii";
>         managed = "auto";
>     };
> 
> vs.
> 
>     &eth0 {
>         phy-connection-type = "sgmii";
>         managed = "in-band-status";
>     };

if it were, you wouldn't be asking this question.

Once again. The "managed" property defines whether in-band signalling
is used over the "phy-connection-type" link, which for SGMII will be
between the PCS and PHY, as shown in my diagram above that you claim
to understand 100%, but by the fact you are again asking this question,
you do not understand it AT ALL.

I don't know how to better explain it to you, because I think I've been
absolutely clear at every stage what the "managed" property describes.
I now have nothing further to add if you still can't understand it, so,
sorry, I'm giving up answering your emails on this topic, because it's
just too frustrating to me to continue if you still don't "get it".

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!